<?php

require_once 'SASConnector.php';

$api = new SASConnector('172.16.12.108', 'admin', 'admin');
$api->login();


$res = $api->delete('manager/id', [
    "page" => 1,
    "count" => 10,
    "sortBy" => "username",
    "direction" => "asc",
    "search" => "test",
    "columns" => ["username", "firstname", "lastname", "balance", "loan_balance", "name", "username", "users_count"]
]);

print_r(json_decode($res));

//this is the expected response
//stdClass Object
//(
//    [status] => 200
//    [message] => rsp_manager_deleted
//)
